## net.sf.jftp.system.logging
Interface Logger

All Known Implementing Classes:
  JFtp, Log4JLogger, SystemLogger

    public interface Logger

Method Summary
`void` `debug(java.lang.String msg)`
`void` `debug(java.lang.String msg, java.lang.Throwable throwable)`
`void` `debugRaw(java.lang.String msg)`
`void` `error(java.lang.String msg)`
`void` `error(java.lang.String msg, java.lang.Throwable throwable)`
`void` `fatal(java.lang.String msg)`
`void` `fatal(java.lang.String msg, java.lang.Throwable throwable)`
`void` `info(java.lang.String msg)`
`void` `info(java.lang.String msg, java.lang.Throwable throwable)`
`void` `warn(java.lang.String msg)`
`void` `warn(java.lang.String msg, java.lang.Throwable throwable)`

Method Detail

### debug

    void debug(java.lang.String msg)

### debugRaw

    void debugRaw(java.lang.String msg)

### debug

    void debug(java.lang.String msg,
               java.lang.Throwable throwable)

### warn

    void warn(java.lang.String msg)

### warn

    void warn(java.lang.String msg,
              java.lang.Throwable throwable)

### error

    void error(java.lang.String msg)

### error

    void error(java.lang.String msg,
               java.lang.Throwable throwable)

### info

    void info(java.lang.String msg)

### info

    void info(java.lang.String msg,
              java.lang.Throwable throwable)

### fatal

    void fatal(java.lang.String msg)

### fatal

    void fatal(java.lang.String msg,
               java.lang.Throwable throwable)